from __future__ import print_function
import numpy as np
from ase.structure import molecule
from ase.calculators.octopus import Octopus
from ase.parallel import world

dist = 0.15

system = molecule('H2')
system.center(vacuum=2.)
#system.pbc = 1
#system.positions[0, 0] -= dist / 2.
x0 = system.positions[0, 2] - dist / 2.


for i, dx in enumerate(np.linspace(0.0, dist, 30)):
    if i % world.size != world.rank:
        continue
    system.positions[0, 2] = x0 + dx
    id = '%03d' % i
    calc = Octopus(label='ink.%s' % id,
                   stdout='"stdout.%s"' % id,
                   Spacing=0.1,
                   PseudoPotentialSet='sg15',
                   ExperimentalFeatures=True,
                   RestartWrite=False,
                   FromScratch=True)
    system.set_calculator(calc)
    E = system.get_potential_energy()
    F = system.get_forces()
    F0 = F[0, 2]
    x = system.positions[0, 2]
    fd = open('results.%s.txt' % id, 'w')
    print('%s %s %s' % (repr(x), repr(E), repr(F0)), file=fd)
    fd.close()
