from glob import glob
import numpy as np
import matplotlib.pyplot as pl
import sys

fnames = sys.argv[1:]
if len(fnames) == 0:
    fnames = glob('results.*.txt')
    fnames.sort()

Eval = []
xval = []
Fval = []

for fname in fnames:
    x, E, F = map(float, open(fname).read().split())
    Eval.append(E)
    xval.append(x)
    Fval.append(F)
Eval = np.array(Eval)
xval = np.array(xval)
Fval = np.array(Fval)

fig = pl.figure()
ax = fig.add_subplot(111)

dx = xval[1] - xval[0]

for i, (x, E, F) in enumerate(zip(xval, Eval, Fval)):
    dxplot = 0.45 * dx
    x1 = x - dxplot
    x2 = x + dxplot
    y1 = E + dxplot * F #* 27.211
    y2 = E - dxplot * F #* 27.211
    ax.plot([x1, x2], [y1, y2], 'r-')

ax.plot(xval, Eval, 'bo')


pl.show()
